Bug 85878 - FORMATTING: Support subscript/superscript in Fontwork
Summary: FORMATTING: Support subscript/superscript in Fontwork
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2014-11-04 23:56 UTC by Tyson Clugg
Modified: 2021-12-03 04:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tyson Clugg 2014-11-04 23:56:11 UTC
The Fontwork text editor will auto-apply superscript to "1st", but the rendered text does not show with superscript.  Editing the text again shows the superscript still applied in the editor, so it seems that the underlying data structures support subscript/superscript, just not the presentation of Fontwork objects.
Comment 1 Buovjaga 2014-11-09 20:21:26 UTC
Reproduced. Note for non-English testers: you have to set Tools - Language - For all text to English for it to work.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43
Comment 2 QA Administrators 2015-12-20 16:21:06 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:51:14 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:25:21 UTC Comment hidden (obsolete, spam)
Comment 5 QA Administrators 2021-12-03 04:32:55 UTC
Dear Tyson Clugg,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug